# Uses of Interface
org.astrogrid.samp.client.ResultHandler

Packages that use ResultHandler
Package
Description
org.astrogrid.samp.client
Classes required only for SAMP clients.
org.astrogrid.samp.gui
Classes required only for graphical components based on SAMP classes.

## Uses of ResultHandler in org.astrogrid.samp.client

Classes in org.astrogrid.samp.client that implement ResultHandler
Modifier and Type
Class
Description
`class`
`LogResultHandler`
ResultHandler implementation which outputs some information about responses received through the logging system.
Methods in org.astrogrid.samp.client with parameters of type ResultHandler
Modifier and Type
Method
Description
`void`
HubConnector.`call(String recipientId, Map msg, ResultHandler resultHandler, int timeout)`
Sends a message asynchronously to a single client, making a callback on a supplied ResultHandler object when the result arrives.
`void`
HubConnector.`callAll(Map msg, ResultHandler resultHandler, int timeout)`
Sends a message asynchronously to all subscribed clients, making callbacks on a supplied ResultHandler object when the results arrive.

## Uses of ResultHandler in org.astrogrid.samp.gui

Classes in org.astrogrid.samp.gui that implement ResultHandler
Modifier and Type
Class
Description
`class`
`PopupResultHandler`
ResultHandler which pops up a window displaying progress and success of a message sent to one or many recipients.
Methods in org.astrogrid.samp.gui that return ResultHandler
Modifier and Type
Method
Description
`protected ResultHandler`
AbstractCallActionManager.`createResultHandler(HubConnection connection, Message msg, Client[] recipients)`
Returns an object which will be informed of the results of a single- or multiple-recipient send as they arrive.
Methods in org.astrogrid.samp.gui with parameters of type ResultHandler
Modifier and Type
Method
Description
`void`
AbstractCallActionManager.`registerHandler(String tag, Client[] recipients, ResultHandler handler)`
Registers a result handler to handle results corresponding to a message tag.